## keychain 2.7.1

=== Makefile ===
V:=$(shell cat VERSION)
D:=$(shell date +'%d %b %Y')
TARBALL_CONTENTS=keychain README.rst ChangeLog COPYING keychain.pod keychain.1 \
				 keychain.spec

all: keychain.1 keychain keychain.spec

.PHONY : tmpclean
tmpclean:
	rm -rf dist keychain.1.orig keychain.txt

.PHONY : clean
clean: tmpclean
	rm -rf keychain.1 keychain keychain.spec 

keychain.spec: keychain.spec.in keychain.sh
	sed 's/KEYCHAIN_VERSION/$V/' keychain.spec.in > keychain.spec

keychain.1: keychain.pod keychain.sh
	pod2man --name=keychain --release=$V \
		--center='http://www.funtoo.org' \
		keychain.pod keychain.1
	sed -i.orig -e "s/^'br/.br/" keychain.1

keychain.1.gz: keychain.1
	gzip -9 keychain.1

GENKEYCHAINPL = open P, "keychain.txt" or die "cant open keychain.txt"; \
			while (<P>) { \
				$$printing = 0 if /^\w/; \
				$$printing = 1 if /^(SYNOPSIS|OPTIONS)/; \
				$$printing || next; \
				s/\$$/\\\$$/g; \
				s/\`/\\\`/g; \
				s/\\$$/\\\\/g; \
				s/\*(\w+)\*/\$${CYAN}$$1\$${OFF}/g; \
				s/(^|\s)(-+[-\w]+)/$$1\$${GREEN}$$2\$${OFF}/g; \
				$$pod .= $$_; \
			}; \
		open B, "keychain.sh" or die "cant open keychain.sh"; \
			$$/ = undef; \
			$$_ = <B>; \
			s/INSERT_POD_OUTPUT_HERE\n/$$pod/ || die; \
			s/\#\#VERSION\#\#/$V/g || die; \
		print

keychain: keychain.sh keychain.txt
	perl -e '$(GENKEYCHAINPL)' >keychain || rm -f keychain
	chmod +x keychain

keychain.txt: keychain.pod
	pod2text keychain.pod keychain.txt

keychain-$V.tar.gz: $(TARBALL_CONTENTS)
	@case $V in *-test*) \
		echo "**** Version is $V, please remove -test"; \
		exit 1 ;; \
	esac
	@if ! grep -qF '* keychain $V ' ChangeLog; then \
		echo "**** Need to update the ChangeLog for version $V"; \
		exit 1; \
	fi
	mkdir keychain-$V
	cp $(TARBALL_CONTENTS) keychain-$V
	sudo chown -R root:root keychain-$V
	/bin/tar cjvf keychain-$V.tar.bz2 keychain-$V
	sudo rm -rf keychain-$V
	ls -l keychain-$V.tar.bz2

# Building noarch.rpm builds src.rpm at the same time.  I haven't
# found an elegant way yet to prevent parallel builds from messing
# this up, so all deps in the Makefile refer only to noarch.rpm
keychain-$V-1.noarch.rpm: keychain-$V.tar.gz
	rpmbuild -ta keychain-$V.tar.bz2
	mv ~/redhat/RPMS/noarch/keychain-$V-1.noarch.rpm \
		~/redhat/SRPMS/keychain-$V-1.src.rpm .
	rpm --addsign keychain-$V-1.noarch.rpm keychain-$V-1.src.rpm

## keychain 2.8.1-0.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 V:=$(shell cat VERSION)
 D:=$(shell date +'%d %b %Y')
-TARBALL_CONTENTS=keychain README.rst ChangeLog COPYING keychain.pod keychain.1 \
+RPMDIR:=$(shell rpmbuild -E '%_rpmdir')
+SRPMDIR:=$(shell rpmbuild -E '%_srcrpmdir')
+TARBALL_CONTENTS=keychain README.md ChangeLog COPYING.txt keychain.pod keychain.1 \
 				 keychain.spec
 
 all: keychain.1 keychain keychain.spec
@@ -40,7 +42,7 @@
 		open B, "keychain.sh" or die "cant open keychain.sh"; \
 			$$/ = undef; \
 			$$_ = <B>; \
-			s/INSERT_POD_OUTPUT_HERE\n/$$pod/ || die; \
+			s/INSERT_POD_OUTPUT_HERE[\r\n]/$$pod/ || die; \
 			s/\#\#VERSION\#\#/$V/g || die; \
 		print
 
@@ -62,16 +64,16 @@
 	fi
 	mkdir keychain-$V
 	cp $(TARBALL_CONTENTS) keychain-$V
-	sudo chown -R root:root keychain-$V
 	/bin/tar cjvf keychain-$V.tar.bz2 keychain-$V
-	sudo rm -rf keychain-$V
+	rm -rf keychain-$V
 	ls -l keychain-$V.tar.bz2
 
 # Building noarch.rpm builds src.rpm at the same time.  I haven't
 # found an elegant way yet to prevent parallel builds from messing
 # this up, so all deps in the Makefile refer only to noarch.rpm
-keychain-$V-1.noarch.rpm: keychain-$V.tar.gz
+keychain-$V-1.noarch.rpm-unsigned: keychain-$V.tar.gz
 	rpmbuild -ta keychain-$V.tar.bz2
-	mv ~/redhat/RPMS/noarch/keychain-$V-1.noarch.rpm \
-		~/redhat/SRPMS/keychain-$V-1.src.rpm .
+	mv $(RPMDIR)/noarch/keychain-$V-1.noarch.rpm \
+		$(SRPMDIR)/keychain-$V-1.src.rpm .
+keychain-$V-1.noarch.rpm: keychain-$V-1.noarch.rpm-unsigned
 	rpm --addsign keychain-$V-1.noarch.rpm keychain-$V-1.src.rpm

=== debian/changelog ===
keychain (2.8.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.  (Closes: #780012)
    - Supports OpenSSH 6.9 output.  (Closes: #796398)
  * Replace deprecated dh_clean -k with dh_prep
  * README.examples and keychain.xsession are no longer
    shipped as upstream has removed them without any
    apparent replacement.  (Closes: #577246)
  * Remove versioned dependency on grep since it was satisfied
    in "oldoldstable".
  * Add a Homepage field to link to the upstream project page.
  * Add now mandatory build-arch and build-indep targets.
  * Bump debhelper compat to 9 - none of the compat changes
    affects the package.

 -- Niels Thykier <niels@thykier.net>  Sat, 05 Sep 2015 09:04:43 +0200

keychain (2.7.1-1) unstable; urgency=low

  * New upstream version.

 -- Cesar Mendoza <mendoza@debian.org>  Thu, 11 Oct 2011 19:01:34 -0600

keychain (2.6.8-3) unstable; urgency=low

  * Fixed url in the man page

 -- Cesar Mendoza <mendoza@debian.org>  Thu, 18 Jun 2009 11:02:00 -0600

keychain (2.6.8-2) unstable; urgency=low

  * added suggests for package ssh-askpass. Closes: #462080 
  * superfluous continuation lines in manpage example fixed. Closes: #440128
  * Assumes tty uses ANSI escape sequences fixed. Closes: #440129
  * Thanks to Gregory Colpart, Trent Buck and Steven Cole for the input.

 -- Cesar Mendoza <mendoza@debian.org>  Thu, 03 Apr 2008 09:04:28 -0600

keychain (2.6.8-1) unstable; urgency=low

  * New upstream version.

 -- Cesar Mendoza <mendoza@debian.org>  Tue, 24 Aug 2007 15:32:54 -0600

keychain (2.6.6-1) unstable; urgency=low

  * New upstream version.

 -- Cesar Mendoza <mendoza@debian.org>  Tue, 21 Sep 2006 15:28:05 -0600

keychain (2.6.2-1) unstable; urgency=low

  * New upstream version.
  * IGNORECASE removed from awk calls. Closes: #366073
  * debconf dependency removed. Closes: #375232 
  * added example for keychain integration into Xsession. Thanks to Simon McVittie. Closes: #336484
  * Confirm patch added to keychain upstream. Thanks to Liyang HU <liyang@nerv.cx> for the patch. Closes: #296382

 -- Cesar Mendoza <mendoza@debian.org>  Tue, 9 May 2006 09:09:13 -0600

keychain (2.5.5-5) unstable; urgency=low

  * the package now suggests gnupg-agent. Closes: #336159

 -- Cesar Mendoza <mendoza@debian.org>  Mon, 31 Oct 2005 14:26:34 -0600

keychain (2.5.5-4) unstable; urgency=low

  * added | debconf-2.0 to Depend field.

 -- Cesar Mendoza <mendoza@debian.org>  Thu, 28 Sep 2005 14:01:03 -0600

keychain (2.5.5-3) unstable; urgency=low

  * Fix bugs in handling of DISPLAY and SSH_ASKPASS. Closes: #324950

 -- Cesar Mendoza <mendoza@debian.org>  Thu, 25 Aug 2005 15:19:23 -0600

keychain (2.5.5-2) unstable; urgency=low

  * Now depends on openssh-client | ssh-client. Closes: #281106
  
 -- Cesar Mendoza <mendoza@debian.org>  Tue, 23 Aug 2005 13:26:34 -0600
 

keychain (2.5.5-1) unstable; urgency=low

  * New upstream version. Closes: #305281
  * Now depends on ssh. Closes: #281106
  * Debconf not used anymore. Closes: #235812,#298567
  * Translations not needed any more for debconf. Closes: #301473,#312168
  * Error in the description fixed. Closes: #285125
  
 -- Cesar Mendoza <mendoza@debian.org>  Tue, 23 Aug 2005 11:33:12 -0600
 

keychain (2.5.1-1) unstable; urgency=low

  * New upstream version. Closes: #246967
  * l10n changes Closes: #235812,#259567,#262738,#266356,#274900,#192165
  
 -- Cesar Mendoza <mendoza@debian.org>  Mon, 17 Jan 2005 11:40:46 -0600
 

keychain (2.4.0-1) unstable; urgency=low

  * New upstream version.
  * keychain doesn't output ssh-add messages Closes: #269722
  
 -- Cesar Mendoza <mendoza@debian.org>  Tue, 21 Sep 2004 14:08:29 -0600
 

keychain (2.3.3-1) unstable; urgency=low

  * using debconf without po-debconf fixed.
  * New upstream version.
  * Doesn't suggest procmail anymore
  
 -- Cesar Mendoza <mendoza@debian.org>  Thu, 08 Jul 2004 14:31:43 -0600
 

keychain (2.0.3-2) unstable; urgency=low

  * keychain dosn't recognise the running ssh-agents again Closes: #223808
  
 -- Cesar Mendoza <mendoza@debian.org>  Fri, 05 Dec 2003 15:30:29 -0600
 

keychain (2.0.3-1) unstable; urgency=low

  * New upstream version.
  
 -- Cesar Mendoza <mendoza@debian.org>  Fri, 05 Dec 2003 15:25:49 -0600
 

keychain (2.0.2-4) unstable; urgency=low

  * keychain dosn't recognise the running ssh-agents Closes: #163339

 -- Cesar Mendoza <mendoza@debian.org>  Mon, 28 Oct 2002 10:32:04 -0600

keychain (2.0.2-3) unstable; urgency=low

  * error on keychain manpage Closes: #166328

 -- Cesar Mendoza <mendoza@debian.org>  Mon, 28 Oct 2002 10:32:04 -0600

keychain (2.0.2-2) unstable; urgency=low

  * keychain 2.0.2 identifies itself as 2.0.1

 -- Cesar Mendoza <mendoza@debian.org>  Wed, 26 Sep 2002 09:37:49 -0600

keychain (2.0.2-1) unstable; urgency=low

  * New upstream version, fixes problems with ssh-askpass

 -- Cesar Mendoza <mendoza@debian.org>  Wed, 18 Sep 2002 16:07:27 -0600

keychain (2.0.1-2) unstable; urgency=low

  * removed dependency on ssh-askpass Closes: #161123
  * keychain goes to main

 -- Cesar Mendoza <mendoza@debian.org>  Thu, 17 Sep 2002 09:50:55 -0600

keychain (2.0.1-1) unstable; urgency=low

  * New upstream version
  * 2.0 was skiped because of a bug in the documentation

 -- Cesar Mendoza <mendoza@debian.org>  Mon, 26 Aug 2002 11:05:25 -0600

keychain (1.9-2) unstable; urgency=low

  * change on grep dependency Closes: #152546

 -- Cesar Mendoza <mendoza@debian.org>  Wed, 10 Jul 2002 15:20:58 -0600

keychain (1.9-1) unstable; urgency=low

  * New upstream version

 -- Cesar Mendoza <mendoza@debian.org>  Mon, 04 Mar 2002 13:14:25 -0600

keychain (1.8-2) unstable; urgency=low

  * New new option --local was missing in the man page.

 -- Cesar Mendoza <mendoza@debian.org>  Thu, 06 Dec 2001 13:12:15 -0600

keychain (1.8-1) unstable; urgency=low

  * New upstream version

 -- Cesar Mendoza <mendoza@debian.org>  Thu, 03 Dec 2001 09:37:06 -0600

keychain (1.7-1) unstable; urgency=low



=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.


	touch configure-stamp

build-arch:
# We have nothing to do by default.

build-indep build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) keychain keychain.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: install-indep install-arch

install-arch: build-arch
# We have nothing to do by default.

install-indep: build-indep
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/keychain.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/keychain
	install -m0755 keychain $(CURDIR)/debian/keychain/usr/bin


# Build architecture-independent files here.
binary-indep: build-indep install-indep
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs keychain.pod
	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman keychain.1
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Build architecture-dependent files here.
binary-arch: build-arch install-arch
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean build-arch build-indep binary-indep binary-arch binary install configure

## keychain 2.8.2

=== debian/changelog ===
keychain (2.8.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.  (Closes: #847445)
    - Fixes bashisms causing syntax errors.  (Closes: #815510)
    - Cleanly separates the --help output for --stop and
      --systemd.  (Closes: #800555)
  * Convert to 3.0 (quilt) source format to avoid making this
    a native package again.  (see #800555)
  * Convert d/rules to dh7-style given that upstream removed
    its build system.

 -- Niels Thykier <niels@thykier.net>  Sat, 31 Dec 2016 22:35:22 +0000

=== debian/control ===
Source: keychain
Section: net
Priority: extra
Maintainer: Cesar Mendoza <mendoza@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.1
Homepage: http://www.funtoo.org/Keychain

Package: keychain
Architecture: all
Depends: openssh-client | ssh-client, ${misc:Depends}
Suggests: gnupg-agent, ssh-askpass
Description: key manager for OpenSSH
 Keychain is an OpenSSH key manager, typically run from ~/.bash_profile. When 
 keychain is run, it checks for a running ssh-agent, otherwise it starts one.
 It saves the ssh-agent environment variables to ~/.keychain/\$\{HOSTNAME\}-sh, 
 so that subsequent logins and non-interactive shells such as cron jobs can 
 source the file and make passwordless ssh connections.  In addition, when 
 keychain runs, it verifies that the key files specified on the command-line 
 are known to ssh-agent, otherwise it loads them, prompting you for a password 
 if necessary.

## keychain 2.8.5

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 V:=$(shell cat VERSION)
 D:=$(shell date +'%d %b %Y')
-RPMDIR:=$(shell rpmbuild -E '%_rpmdir')
-SRPMDIR:=$(shell rpmbuild -E '%_srcrpmdir')
+RPMDIR=`rpmbuild -E '%_rpmdir'`
+SRPMDIR=`rpmbuild -E '%_srcrpmdir'`
 TARBALL_CONTENTS=keychain README.md ChangeLog COPYING.txt keychain.pod keychain.1 \
 				 keychain.spec

=== debian/changelog ===
keychain (2.8.5-5) unstable; urgency=medium

  * Undo refreshing the line numbers in the empty-ssh-askpass patch;
    that was done in a slightly messed up source tree.
  * Declare compliance with Policy 4.7.0 with no changes.
  * Use dh compat level 14 and X-DH-Compat.
  * Let debhelper handle some dependencies automatically.
  * Use debputy's X-Style: black.

 -- Peter Pentchev <roam@debian.org>  Tue, 31 Dec 2024 11:50:40 +0200

keychain (2.8.5-4) unstable; urgency=medium

  * Refresh the line numbers in the empty-ssh-askpass patch.
  * Add the year 2024 to my debian/* copyright notice.
  * Suggest gpg-agent, not the transitional gnupg-agent. Closes: #1064118
  * Include dpkg's default.mk for completeness.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no
    declaration.

 -- Peter Pentchev <roam@debian.org>  Wed, 28 Feb 2024 02:12:52 +0200

keychain (2.8.5-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Fix day-of-week for changelog entries 2.7.1-1, 2.6.8-1, 2.6.6-1, 2.5.5-4,
    2.0.2-2, 2.0.1-2, 1.8-1, 1.7-1, 1.4-1.
  * Update standards version to 4.6.1, no changes needed.

  [ Peter Pentchev ]
  * Explicitly specify dh-sequence-single-binary.
  * Declare compliance with Policy 4.6.2 with no changes.
  * Add the years through 2023 to my debian/* copyright notice.
  * Remove the need for container isolation in the autopkgtest.
  * Look for an ssh-askpass program if SSH_ASKPASS is empty or unset.
    Closes: #325644

 -- Peter Pentchev <roam@debian.org>  Fri, 06 Jan 2023 22:30:52 +0200

keychain (2.8.5-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.5.0 with no changes.
  * Add the year 2020 to my debian/* copyright notice.
  * Add another correction to the typos patch.
  * Drop the Name and Contact upstream metadata fields.
  * Bump the debhelper compat level to 13 with no changes.

 -- Peter Pentchev <roam@debian.org>  Thu, 07 May 2020 02:18:30 +0300

keychain (2.8.5-1) unstable; urgency=medium

  * New maintainer.  Closes: #867749
  * Convert the copyright file to the machine-readable format.
  * Bring up to compliance with Debian Policy 4.3.0:
    - add the Vcs-Git and Vcs-Browser fields
    - change the priority to "optional" from "extra"
    - add "Rules-Requires-Root: no" to the source control stanza
    - install the upstream ChangeLog file as NEWS
  * Bump the debhelper compat level to 12 with no changes and
    switch to the debhelper-compat (= 12) mechanism.
  * Add a watch file pointing at GitHub.
  * Add an autopkgtest for the ssh-agent functionality.
  * Add an upstream metadata file.
  * Add "Multi-Arch: foreign" to the binary package.
  * Switch two upstream URLs to the HTTPS scheme.
  * Add the malformed-ssh-key patch to display a warning. Closes: #673019
  * Remove whitespace at the end of the line in the changelog and
    control files.
  * Add a simple git-buildpackage config file.
  * New upstream version:
    - fix adding GnuPG keys; Closes: #867972
    - install the plaintext rendition of the documentation
    - add the typos patch to correct some typographical and
      grammatical errors

 -- Peter Pentchev <roam@debian.org>  Wed, 20 Feb 2019 18:27:58 +0200

=== debian/control ===
Source: keychain
Section: net
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends:
 debhelper (>> 13.15.2~),
 dh-sequence-single-binary,
 dpkg-build-api (= 1),
Standards-Version: 4.7.0
X-DH-Compat: 14
Homepage: https://www.funtoo.org/Keychain
Vcs-Git: https://salsa.debian.org/debian/keychain.git
Vcs-Browser: https://salsa.debian.org/debian/keychain
X-Style: black

Package: keychain
Architecture: all
Multi-Arch: foreign
Depends:
 openssh-client | ssh-client,
Suggests:
 gpg-agent,
 ssh-askpass,
Description: key manager for OpenSSH
 Keychain is an OpenSSH key manager, typically run from ~/.bash_profile. When
 keychain is run, it checks for a running ssh-agent, otherwise it starts one.
 It saves the ssh-agent environment variables to ~/.keychain/\$\{HOSTNAME\}-sh,
 so that subsequent logins and non-interactive shells such as cron jobs can
 source the file and make passwordless ssh connections.  In addition, when
 keychain runs, it verifies that the key files specified on the command-line
 are known to ssh-agent, otherwise it loads them, prompting you for a password
 if necessary.

=== debian/tests/control ===
Tests:
 ssh.sh,
Depends:
 @,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/@PACKAGE@-$1\.tar\.gz/ \
       https://github.com/funtoo/keychain/tags .*/v?(\d\S+)\.tar\.gz
